Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.impl
Class TaskIdentityServiceImpl

    java.lang.Object
      org.jbpm.task.impl.TaskIdentityServiceImpl

All Implemented Interfaces:
  TaskIdentityService

    @ApplicationScoped
    public class TaskIdentityServiceImpl

extends Object
implements TaskIdentityService

Constructor Summary
`TaskIdentityServiceImpl()`

Method Summary
`void` | `addGroup(Group group)`
`void` | `addUser(User user)`
`Group` | `getGroupById(String groupId)`
`List<Group>` | `getGroups()`
`OrganizationalEntity` | `getOrganizationalEntityById(String entityId)`
`User` | `getUserById(String userId)`
`List<User>` | `getUsers()`
`void` | `removeGroup(String groupId)`
`void` | `removeUser(String userId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskIdentityServiceImpl

    public TaskIdentityServiceImpl()

Method Detail

### addUser

    public void addUser(User user)

  Specified by:
    `addUser` in interface `TaskIdentityService`

### addGroup

    public void addGroup(Group group)

  Specified by:
    `addGroup` in interface `TaskIdentityService`

### removeGroup

    public void removeGroup(String groupId)

  Specified by:
    `removeGroup` in interface `TaskIdentityService`

### removeUser

    public void removeUser(String userId)

  Specified by:
    `removeUser` in interface `TaskIdentityService`

### getUsers

    public List<User> getUsers()

  Specified by:
    `getUsers` in interface `TaskIdentityService`

### getGroups

    public List<Group> getGroups()

  Specified by:
    `getGroups` in interface `TaskIdentityService`

### getUserById

    public User getUserById(String userId)

  Specified by:
    `getUserById` in interface `TaskIdentityService`

### getGroupById

    public Group getGroupById(String groupId)

  Specified by:
    `getGroupById` in interface `TaskIdentityService`

### getOrganizationalEntityById

    public OrganizationalEntity getOrganizationalEntityById(String entityId)

  Specified by:
    `getOrganizationalEntityById` in interface `TaskIdentityService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.